Bug 1117416

Summary: Request for EPEL7 package
Product: [Fedora] Fedora EPEL Reporter: Mohammed Naser <mnaser>
Component: cloud-initramfs-toolsAssignee: Juerg Haefliger <juergh>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: Jan.van.Eldik, juergh, rom, steve.traylen
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-13 07:32:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mohammed Naser 2014-07-08 15:55:44 UTC
It looks like there is no current build for this package for EPEL7.  Also, because the Dracut paths were change, the following was needed to be done to get it to build properly on EPEL7

==================================

diff --git a/cloud-initramfs-tools.spec b/cloud-initramfs-tools.spec
index f30e288..70039f0 100644
--- a/cloud-initramfs-tools.spec
+++ b/cloud-initramfs-tools.spec
@@ -1,7 +1,7 @@
 Summary:	Cloud image initramfs management utilities
 Name:		cloud-initramfs-tools
 Version:	0.20
-Release:	3%{?dist}
+Release:	4%{?dist}
 License:	GPLv3
 Group:		System Environment/Base
 URL:		https://launchpad.net/ubuntu/saucy/+source/cloud-initramfs-tools/0.20ubuntu1/+files/cloud-initramfs-tools_0.20ubuntu1.tar.gz
@@ -43,34 +43,21 @@ disk, or the edge of the next partition.
 
 
 %install
-
-%if 0%{?fedora}
 make install-fedora DESTDIR=$RPM_BUILD_ROOT/%{_prefix}/lib/
-%else
-%if 0%{?rhel}
-make install-epel DESTDIR=$RPM_BUILD_ROOT/%{_prefix}/share/
-%endif
-%endif
 
 
 %files -n dracut-modules-growroot
 %doc COPYING README growroot/doc/example.txt
-%if 0%{?fedora}
 %dir %{_prefix}/lib/dracut/modules.d/50growroot
 %{_prefix}/lib/dracut/modules.d/50growroot/growroot-dummy.sh
 %{_prefix}/lib/dracut/modules.d/50growroot/growroot.sh
 %{_prefix}/lib/dracut/modules.d/50growroot/module-setup.sh
-%else
-%if 0%{?rhel}
-%dir %{_prefix}/share/dracut/modules.d/50growroot
-%{_prefix}/share/dracut/modules.d/50growroot/growroot-dummy.sh
-%{_prefix}/share/dracut/modules.d/50growroot/growroot.sh
-%{_prefix}/share/dracut/modules.d/50growroot/install
-%endif
-%endif
 
 
 %changelog
+* Tue Jul 08 2014 Mohammed Naser <mnaser@vexxhost.com> - 0.20-4
+- Updated to support RHEL/CentOS 7
+
 * Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
 
===========================================

Comment 1 Juerg Haefliger 2014-11-13 07:32:22 UTC
RHEL/CentOS 7 uses a kernel that is new enough to support live partition resizing. Which means this package is no longer required and there's no plan to add it to EPEL7.